package cn.com.poc.data_analyze.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for DataAnalyzePointRecordQuery
 */
@Entity
public class DataAnalyzePointRecordQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** id
    *id
    */ 
    private java.lang.Long id;
    
    @Column(name = "id")
    public java.lang.Long getId(){
        return this.id;
    }
    
    public void setId(java.lang.Long id){
        this.id = id;
    }
    
    /** relation_id
    *relation_id
    */ 
    private java.lang.String relationId;
    
    @Column(name = "relation_id")
    public java.lang.String getRelationId(){
        return this.relationId;
    }
    
    public void setRelationId(java.lang.String relationId){
        this.relationId = relationId;
    }
    
    /** type
    *type
    */ 
    private java.lang.String type;
    
    @Column(name = "type")
    public java.lang.String getType(){
        return this.type;
    }
    
    public void setType(java.lang.String type){
        this.type = type;
    }
    
    /** member_id
    *member_id
    */ 
    private java.lang.Long memberId;
    
    @Column(name = "member_id")
    public java.lang.Long getMemberId(){
        return this.memberId;
    }
    
    public void setMemberId(java.lang.Long memberId){
        this.memberId = memberId;
    }
    
    /** point_num
    *point_num
    */ 
    private java.lang.Double pointNum;
    
    @Column(name = "point_num")
    public java.lang.Double getPointNum(){
        return this.pointNum;
    }
    
    public void setPointNum(java.lang.Double pointNum){
        this.pointNum = pointNum;
    }
    
    /** channel
    *channel
    */ 
    private java.lang.String channel;
    
    @Column(name = "channel")
    public java.lang.String getChannel(){
        return this.channel;
    }
    
    public void setChannel(java.lang.String channel){
        this.channel = channel;
    }
    
    /** datetime
    *datetime
    */ 
    private java.util.Date datetime;
    
    @Column(name = "datetime")
    public java.util.Date getDatetime(){
        return this.datetime;
    }
    
    public void setDatetime(java.util.Date datetime){
        this.datetime = datetime;
    }
    
} 